Bug 2143242 (CVE-2022-45420)

Summary: CVE-2022-45420 Mozilla: Iframe contents could be rendered outside the iframe
Product: [Other] Security Response Reporter: Dhananjay Arunesh <darunesh>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: erack, jhorak, nobody, stransky, tpopela
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: firefox 102.5, thunderbird 102.5 Doc Type: If docs needed, set a value
Doc Text:
The Mozilla Foundation Security Advisory describes this flaw as: Use tables inside of an iframe, an attacker could have caused iframe contents to be rendered outside the boundaries of the iframe, resulting in potential user confusion or spoofing attacks.
Story Points: ---
Clone Of: Environment:
Last Closed: 2022-12-14 21:18:33 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 2141544, 2141545, 2141546, 2141547, 2141548, 2141549, 2141550, 2141551, 2141552, 2141553, 2141554, 2141556, 2141559, 2141560, 2141561, 2141562, 2141563, 2141564, 2141565, 2141566, 2141567, 2141569, 2141570, 2141571    
Bug Blocks: 2141542    

Description Dhananjay Arunesh 2022-11-16 12:37:37 UTC
Use tables inside of an iframe, an attacker could have caused iframe contents to be rendered outside the boundaries of the iframe, resulting in potential user confusion or spoofing attacks.



External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2022-48/#CVE-2022-45420

Comment 1 errata-xmlrpc 2022-11-21 11:09:02 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.2 Update Services for SAP Solutions
  Red Hat Enterprise Linux 8.2 Advanced Update Support
  Red Hat Enterprise Linux 8.2 Telecommunications Update Service

Via RHSA-2022:8543 https://access.redhat.com/errata/RHSA-2022:8543

Comment 2 errata-xmlrpc 2022-11-21 11:25:38 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.4 Extended Update Support

Via RHSA-2022:8544 https://access.redhat.com/errata/RHSA-2022:8544

Comment 3 errata-xmlrpc 2022-11-21 11:29:07 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.6 Extended Update Support

Via RHSA-2022:8545 https://access.redhat.com/errata/RHSA-2022:8545

Comment 4 errata-xmlrpc 2022-11-21 11:31:50 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2022:8547 https://access.redhat.com/errata/RHSA-2022:8547

Comment 5 errata-xmlrpc 2022-11-21 12:29:25 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.6 Extended Update Support

Via RHSA-2022:8548 https://access.redhat.com/errata/RHSA-2022:8548

Comment 6 errata-xmlrpc 2022-11-21 12:34:25 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.2 Update Services for SAP Solutions
  Red Hat Enterprise Linux 8.2 Advanced Update Support
  Red Hat Enterprise Linux 8.2 Telecommunications Update Service

Via RHSA-2022:8550 https://access.redhat.com/errata/RHSA-2022:8550

Comment 7 errata-xmlrpc 2022-11-21 12:36:32 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.4 Extended Update Support

Via RHSA-2022:8549 https://access.redhat.com/errata/RHSA-2022:8549

Comment 8 errata-xmlrpc 2022-11-21 12:40:46 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.1 Update Services for SAP Solutions

Via RHSA-2022:8553 https://access.redhat.com/errata/RHSA-2022:8553

Comment 9 errata-xmlrpc 2022-11-21 12:46:32 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2022:8552 https://access.redhat.com/errata/RHSA-2022:8552

Comment 10 errata-xmlrpc 2022-11-21 12:48:56 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2022:8554 https://access.redhat.com/errata/RHSA-2022:8554

Comment 11 errata-xmlrpc 2022-11-21 12:51:05 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.1 Update Services for SAP Solutions

Via RHSA-2022:8556 https://access.redhat.com/errata/RHSA-2022:8556

Comment 12 errata-xmlrpc 2022-11-21 12:53:56 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2022:8555 https://access.redhat.com/errata/RHSA-2022:8555

Comment 13 errata-xmlrpc 2022-11-21 16:20:08 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 9

Via RHSA-2022:8561 https://access.redhat.com/errata/RHSA-2022:8561

Comment 14 errata-xmlrpc 2022-11-22 13:33:55 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 9

Via RHSA-2022:8580 https://access.redhat.com/errata/RHSA-2022:8580

Comment 15 errata-xmlrpc 2022-12-13 16:07:12 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 9.0 Extended Update Support

Via RHSA-2022:8979 https://access.redhat.com/errata/RHSA-2022:8979

Comment 16 errata-xmlrpc 2022-12-13 16:07:29 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 9.0 Extended Update Support

Via RHSA-2022:8980 https://access.redhat.com/errata/RHSA-2022:8980

Comment 17 Product Security DevOps Team 2022-12-14 21:18:31 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2022-45420